rpm-build/scripts/pam.req

55 lines
2.3 KiB
Bash
Executable File

#!/bin/sh -e
#
# $Id$
# Copyright (C) 2001,2003 Dmitry V. Levin <ldv@altlinux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# If using normal root, avoid changing anything.
[ -n "$(printf %s "$RPM_BUILD_ROOT" |tr -d ' /.')" ]
file="$1"
head -1 "$file" |grep -qs '^#%PAM' || exit 0
if [ -n "$PAM_SO_SUFFIX" -a -z "${PAM_SO_SUFFIX##%*}" ]; then
echo "error: PAM_SO_SUFFIX=$PAM_SO_SUFFIX" >&2
exit 1
fi
if [ -n "$PAM_NAME_SUFFIX" -a -z "${PAM_NAME_SUFFIX##%*}" ]; then
echo "error: PAM_NAME_SUFFIX=$PAM_NAME_SUFFIX" >&2
exit 1
fi
# hack for "buildreq -bi".
[ -f /usr/lib/libpam.so ] ||:
# pam_module.so
sed -ne 's#^\(account\|auth\|password\|session\)[[:space:]]\+\(requisite\|required\|sufficient\|optional\)[[:space:]]\+\(/lib/security/\)\?\([^.[:space:]]\+\.so\)\($\|[[:space:]].*\)#\4'$PAM_SO_SUFFIX'#pg' <"$file" |sort -u
# pam_module.so*
sed -ne 's#^\(account\|auth\|password\|session\)[[:space:]]\+\(requisite\|required\|sufficient\|optional\)[[:space:]]\+\(/lib/security/\)\?\([^.[:space:]]\+\.so[^[:space:]]\+\).*#\4#pg' <"$file" |sort -u
# libpam(include)
sed -ne 's#^\(account\|auth\|password\|session\)[[:space:]]\+include[[:space:]].*#libpam(include)#pg' <"$file" |sort -u
# pam(config) via include
sed -ne 's#^\(account\|auth\|password\|session\)[[:space:]]\+include[[:space:]]\+\(/etc/pam\.d/\)\?\([^[:space:]]\+\).*#pam'$PAM_NAME_SUFFIX'(\3)#pg' <"$file" |sort -u
# pam(config) via pam_stack
sed -ne 's#^\(account\|auth\|password\|session\)[[:space:]]\+\(requisite\|required\|sufficient\|optional\)[[:space:]]\+\(/lib/security/\)\?pam_stack\.so[[:space:]]\+service=\([^[:space:]]\+\).*#pam(\4)#pg' <"$file" |sort -u